Stage an item type create into a change request
POST
/api/v1/projects/{projectId}/schema/sandboxes/{sandboxId}/item-types
const url = 'https://app.avera.io/api/v1/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/schema/sandboxes/example/item-types';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"id":"example","name":"example","description":"example","prefix":"example","icon":"example","color":"example","documentType":"example","revisionable":true,"categoryId":"example","lifecycleId":"example","guestPolicy":"example","folderMembershipTypeId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.avera.io/api/v1/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/schema/sandboxes/example/item-types \ --header 'Content-Type: application/json' \ --data '{ "id": "example", "name": "example", "description": "example", "prefix": "example", "icon": "example", "color": "example", "documentType": "example", "revisionable": true, "categoryId": "example", "lifecycleId": "example", "guestPolicy": "example", "folderMembershipTypeId": "example" }'The change is staged, not applied: only the change request’s promotion applies it to the live configuration.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”projectId
required
string format: uuid
sandboxId
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
id
required
string
name
required
string
description
string | null
prefix
required
string
icon
string | null
color
string | null
documentType
required
string
revisionable
required
boolean
categoryId
string | null
lifecycleId
string | null
guestPolicy
string | null
folderMembershipTypeId
string | null
Example generated
{ "id": "example", "name": "example", "description": "example", "prefix": "example", "icon": "example", "color": "example", "documentType": "example", "revisionable": true, "categoryId": "example", "lifecycleId": "example", "guestPolicy": "example", "folderMembershipTypeId": "example"}Responses
Section titled “Responses”OK
Media type*/*
object
id
required
string
changeNumber
required
integer format: int32
changeType
required
string
targetType
required
string
targetId
required
string
targetName
required
string
beforeState
string | null
afterState
string | null
changeSummary
required
string
riskLevel
required
string
requiresMigration
required
boolean
breakingChange
required
boolean
rationale
string | null
createdAt
required
string format: date-time
createdBy
required
string